| Home | Libraries | People | FAQ | More

##### pop_front

###### Description

Returns the result type of `pop_front`, given the input sequence type.

###### Synopsis

    template<
        typename Sequence
        >
    struct pop_front
    {
        typedef unspecified type;
    };

Table 1.99. Parameters

Parameter | Requirement | Description
--- | --- | ---
`Sequence` | A model of Forward Sequence | Operation's argument

###### Expression Semantics

    result_of::pop_front<Sequence>::type

Return type:

- A model of Forward Sequence.
- A model of Associative Sequence if `Sequence` implements the Associative Sequence model.

Semantics: Returns a sequence with all the elements of `Sequence` except the first element.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/pop_front.hpp>
    #include <boost/fusion/include/pop_front.hpp>